Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.spatial
Class SpatialRepresentationType

    Object
      CodeList<SpatialRepresentationType>
          SpatialRepresentationType

All Implemented Interfaces:
  Serializable, Comparable<SpatialRepresentationType>

    @Profile(level=CORE)
    @UML(identifier="MD_SpatialRepresentationTypeCode",
         specification=ISO_19115)
    public final class SpatialRepresentationType

extends CodeList<SpatialRepresentationType>

Method used to represent geographic information in the dataset.

Since:
  GeoAPI 2.0
See Also:
  Serialized Form

Field Summary
`static SpatialRepresentationType` | `GRID` Grid data is used to represent geographic data.
`static SpatialRepresentationType` | `STEREO_MODEL` Three-dimensional view formed by the intersecting homologous rays of an overlapping pair of images.
`static SpatialRepresentationType` | `TEXT_TABLE` Textual or tabular data is used to represent geographic data.
`static SpatialRepresentationType` | `TIN` Triangulated irregular network.
`static SpatialRepresentationType` | `VECTOR` Vector data is used to represent geographic data.
`static SpatialRepresentationType` | `VIDEO` Scene from a video recording.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static SpatialRepresentationType` | `valueOf(String code)` Returns the SpatialRepresentationType that matches the given string, or returns a new one if none match it.
`static SpatialRepresentationType[]` | `values()` Returns the list of `SpatialRepresentationType`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VECTOR

    @UML(identifier="vector",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final SpatialRepresentationType VECTOR

  Vector data is used to represent geographic data.

### GRID

    @UML(identifier="grid",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final SpatialRepresentationType GRID

  Grid data is used to represent geographic data.

### TEXT_TABLE

    @UML(identifier="textTable",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final SpatialRepresentationType TEXT_TABLE

  Textual or tabular data is used to represent geographic data.

### TIN

    @UML(identifier="tin",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final SpatialRepresentationType TIN

  Triangulated irregular network.

### STEREO_MODEL

    @UML(identifier="stereoModel",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final SpatialRepresentationType STEREO_MODEL

  Three-dimensional view formed by the intersecting homologous rays of an overlapping pair of images.

### VIDEO

    @UML(identifier="video",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final SpatialRepresentationType VIDEO

  Scene from a video recording.

Method Detail

### values

    public static SpatialRepresentationType[] values()

  Returns the list of `SpatialRepresentationType`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<SpatialRepresentationType>`

### valueOf

    public static SpatialRepresentationType valueOf(String code)

  Returns the SpatialRepresentationType that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.